cURL
curl --request GET \
--url https://api.passform.io/v1/pass/{templateId}/passes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.passform.io/v1/pass/{templateId}/passes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.passform.io/v1/pass/{templateId}/passes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"passes": [
{
"id": "<string>",
"templateId": "<string>",
"accountId": "<string>",
"code": "<string>",
"expiry": "2023-11-07T05:31:56Z",
"validFrom": "2023-11-07T05:31:56Z",
"voided": false,
"primaryValue": "<string>",
"metadata": {},
"fields": [
{
"key": "voucher",
"label": "free drinks",
"value": "1"
}
],
"backFields": [
{
"key": "voucher",
"label": "free drinks",
"value": "1"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextPageToken": "<string>",
"totalCount": 123
}{
"statusCode": 123,
"code": "<string>",
"error": "<string>",
"message": "<string>"
}{
"statusCode": 123,
"code": "<string>",
"error": "<string>",
"message": "<string>"
}{
"statusCode": 123,
"code": "<string>",
"error": "<string>",
"message": "<string>"
}passes
Get v1pass passes
List passes for a template with pagination and sorting
GET
/
v1
/
pass
/
{templateId}
/
passes
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Required range:
1 <= x <= 100sortBy
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>
default:id
Available options:
voided Available options:
asc ⌘I

